Summary:	iLBC audio codec for mediastreamer
Summary(pl.UTF-8):	Kodek dźwięku iLBC dla mediastreamera
Name:		mediastreamer-plugin-msilbc
Version:	2.1.2
Release:	6
License:	GPL v2
Group:		Libraries
Source0:	http://linphone.org/releases/old/sources/plugins/msilbc/msilbc-%{version}.tar.gz
# Source0-md5:	e9472ef8ade6b06bf9519f6638a8723f
Patch0:		msilbc-webrtc-libilbc.patch
URL:		http://git.exherbo.org/summer/packages/media-plugins/msilbc
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	mediastreamer-devel >= 2.0.0
BuildRequires:	ortp-devel >= 0.16.0
BuildRequires:	pkgconfig
BuildRequires:	webrtc-libilbc-devel
Requires:	mediastreamer >= 2.0.0
Requires:	ortp >= 0.16.0
Obsoletes:	msilbc < 2.0.3-3
Obsoletes:	msilbc-devel < 2.0.3-3
Obsoletes:	msilbc-static < 2.0.3-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package supplies the mediastreamer plugin for the iLBC audio
codec, which is necessary to use the codec with Linphone.

%description -l pl.UTF-8
Ten pakiet udostępnia wtyczkę mediastreamera do kodeka dźwięku iLBC,
niezbędną do używania tego kodeka w programie Linphone.

%prep
%setup -q -n msilbc-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/mediastreamer/plugins/libmsilbc.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/mediastreamer/plugins/libmsilbc.so*
%changelog
* Mon Jul 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediastreamer-plugin-msilbc.git;a=log;h=master

* Mon Jul 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 0cfa2eb
- versioned Obsoletes

* Mon Jul 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 4462f14
- release 6 (mediastreamer 4)

* Sun Jul 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 09d283a
- adjusted Source URL; seems not moved to gitlab.linphone.org (obsolete?)

* Tue Jul 06 2021 Jan Rękorajski <baggins@pld-linux.org> d812e1a
- Release 5 (by relup.sh)

* Sat Feb 13 2021 Jan Rękorajski <baggins@pld-linux.org> 6ca9e73
- fix building with webrtc-libilbc 3.x
- rel 4

* Sat Jun 01 2019 Jakub Bogusz <qboosh@pld-linux.org> b53df7e
- updated dependencies

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ed88c11
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4173ec0
- release 2 (by relup.sh)

* Wed Nov 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 342642b
- updated to 2.1.2

* Thu Jul 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 26eeaa6
- updated to 2.1.1

* Thu Jul 09 2015 Jan Rękorajski <baggins@pld-linux.org> fc5e585
- release 3 (by relup.sh)

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 2110b48
- proper packaging of mediastreamer plugin; no useless -devel or -static

* Mon Jun 17 2013 Jan Rękorajski <baggins@pld-linux.org> bb6a484
- release 2 (by relup.sh)

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 338d6f0
- updated to 2.0.3
- build with webrtc-libilbc

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 0d12df8
- BR webrtc-libilbc-devel
- rel 3

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 54ad0de
- release 2

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> cf85845
- fix plugin dir

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 788ebac
- fix plugin dir
- thx sparky

* Fri Jan 21 2011 sparky <sparky@pld-linux.org> 63802d5
- libtoolize
- BR: libilbc-devel, libtool, pkgconfig
- fixed group name

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> e14e56b
- BR mediastreamer-devel

